#!/bin/sh
VERSION=50
#
# written by thowi
#
# now record.sh is able to parse mediaserver requests which contain 
# recordstrings from www.tvbrowser.org
# now it can also change the runnng tv programm but engima restart needed
#

MEDIASERVER=/media/hdd/Mediaserver7025/Mediaserver7025
ERHOME=/usr/lib/enigma2/python/Plugins/Extensions/ER
TIMERS=/etc/enigma2/timers.xml
TIMERSTMP=$ERHOME/timers.tmp
RECORD=$ERHOME/record.sh
SERVICEREF=$ERHOME/serviceref.lst
USERBOUQUET=/etc/enigma2/userbouquet.favourites.tv
SHEDULE=$ERHOME/reload_sheduled
CONFIG=/etc/enigma2/config
WHO=`whoami`


if  [ $WHO != "root" ]; then
exit 0
fi
wall $WHO


init 2
cp $USERBOUQUET $SERVICEREF
dos2unix $SERVICEREF
sed -ie s!"#SERVICE "!!g $SERVICEREF
sed -ie s!"#NAME Favourites (TV)"!!g $SERVICEREF
sed '/^[ 	]*$/d' < $SERVICEREF > $TIMERSTMP && mv $TIMERSTMP $SERVICEREF
# now we have plain serviceref list !
chmod 755 $SERVICEREF>> /dev/null 2>&1

##################################################
if [ $# -lt 1 ]; then
CHANNEL="1"
else
CHANNEL=$1
fi

echo "Zapping to $CHANNEL"


# getting serrviceref
head -$CHANNEL $SERVICEREF | tail -n 1 - > $TIMERSTMP
NEWSERVICEREF=`cat $TIMERSTMP`
echo "New Serviceref: $NEWSERVICEREF"
#
grep config.tv.lastservice $CONFIG > $TIMERSTMP
COMMAND=`cat $TIMERSTMP`
#echo Command: $COMMAND
if [ $COMMAND  ]; then
#cat $TIMERSTMP
sed -ie s!config.tv.lastservice=!!g $TIMERSTMP
OLDSERVICEREF=`cat $TIMERSTMP`
echo "Old Serviceref: $OLDSERVICEREF"
sed -ie s!config.tv.lastservice=$OLDSERVICEREF!config.tv.lastservice=$NEWSERVICEREF!g $CONFIG
else 
echo "No old Serviceref for replacing - will restart now, so second call should work"
fi

echo "reloading enigma2"
init 3
rm $TIMERSTMP > /dev/null 2>&1

exit 0

